#include "text.h"
#include <GL/glut.h>

#include <IL/il.h>
#include <IL/ilu.h>
#include <IL/ilut.h>

void _text::initialise(void)
{
//initialize DevIL
	ilInit();
	iluInit();
	ilutInit();
	
	ILuint picture[10]={0};//image names

//	int i=0;
	for(int i=0;i<10;i++)//generate a list per number
	{
//generate images
	ilDefaultImage();
	ilGenImages(1, &picture[i]);//load from
	ilBindImage(picture[i]);
	ilLoadImage("text.png");
	digit[i] = ilutGLBindTexImage();//assign texture ID
	ilDeleteImages(1, &picture[i]);

	list[i] = glGenLists(1);

	glNewList(list[i], GL_COMPILE);
		glBegin(GL_QUADS);
		glTexCoord2f((float)i/10,1.0);
			glVertex3f(0.0,0.0,0.0);
		glTexCoord2f((float)(i+1)/10.0,1.0);
			glVertex3f(1.0,0.0,0.0);
		glTexCoord2f((float)(i+1)/10.0,0.0);
			glVertex3f(1.0,1.0,0.0);
		glTexCoord2f((float)i/10,0.0);
			glVertex3f(0.0,1.0,0.0);
		glEnd();
	glEndList();
	}
	
}

void _text::print(int n)
{
	glDisable(GL_LIGHTING);
	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, digit[n]);
	glCallList(list[n]);
	glDisable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}

