#include "textures.h"
#include <iostream>
#include <GL/glut.h>

#include <IL/il.h>
#include <IL/ilu.h>
#include <IL/ilut.h>

void _texture::initialise(void)
{


//initialize DevIL
	ilInit();
	iluInit();
	ilutInit();
	
	ILuint picture[100]={0};//image names

//	int i=0;
	for(int i=0;i<100;i++)//generate a list per number
	{
	std::cout<<"Please wait...Texture "<<i+1<<" of 100 loading"<<std::endl;

//generate images
	ilDefaultImage();
	ilGenImages(1, &picture[i]);//load from
	ilBindImage(picture[i]);
	ilLoadImage("textures.gif");
	digit[i] = ilutGLBindTexImage();//assign texture ID
	ilDeleteImages(1, &picture[i]);

	list[i] = glGenLists(1);

	glNewList(list[i], GL_COMPILE);
		glBegin(GL_QUADS);
		glTexCoord2f((float)i/100,1.0);
			glVertex3f(0.0,0.0,0.0);
		glTexCoord2f((float)(i+1)/100.0,1.0);
			glVertex3f(1.0,0.0,0.0);
		glTexCoord2f((float)(i+1)/100.0,0.0);
			glVertex3f(1.0,1.0,0.0);
		glTexCoord2f((float)i/100,0.0);
			glVertex3f(0.0,1.0,0.0);
		glEnd();
	glEndList();
	}
	
}

void _texture::print(int n)
{
	glDisable(GL_LIGHTING);
	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, digit[n]);
	glCallList(list[n]);
	glDisable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}

